Subject: Re: [PATCH 01/10] Better "Changed but not updated" message in git-status

From: Jonathan Nieder <[email-masked]>
Date: Sat, 23 Oct 2010 13:13:50 -0500

Matthieu Moy wrote:

> --- a/Documentation/gittutorial-2.txt
> +++ b/Documentation/gittutorial-2.txt
> @@ -373,7 +373,7 @@ $ git status
>  #
>  #       new file: closing.txt
>  #
> -# Changed but not updated:
> +# Changed but not staged for commit:
>  #   (use "git add <file>..." to update what will be committed)

I find this even more confusing, though I admit that may be due to
habit more than anything else.

My reading, before:

	These files were changed, but the version to be committed has
	not been updated to include the latest changes (use "git add
	<file>..." to add these changes to the index).

Afterwards:

	These files were changed, but they are not staged for the
	next commit.

If I do

	echo hello >hi.c
	git add hi.c
	echo world >>hi.c
	git status

then what does it mean to say "hi.c" is not staged for commit?
It actually does have changes ready for committing.

I would prefer to say something to the effect of

	# Has unstaged changes:

Anyone wordsmiths out there with ideas to make this clearer?